Package com.collibra.dgc.core.api.dto.job

# Class FindJobsRequest.Builder

Object
Builder

Enclosing class:
  `FindJobsRequest`

public static class FindJobsRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindJobsRequest`
  `build()`
  `FindJobsRequest.Builder`
  `createdBy(UUID createdBy)`
  `FindJobsRequest.Builder`
  `limit(int limit)`
  `FindJobsRequest.Builder`
  `maxVisibility(int maxVisibility)`
  `FindJobsRequest.Builder`
  `name(String name)`
  `FindJobsRequest.Builder`
  `nameMatchMode(MatchMode nameMatchMode)`
  `FindJobsRequest.Builder`
  `offset(int offset)`
  `FindJobsRequest.Builder`
  `results(List<JobResult> results)`
  `FindJobsRequest.Builder`
  `sortField(FindJobsRequest.SortField sortField)`
  `FindJobsRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `FindJobsRequest.Builder`
  `states(List<JobState> states)`
  `String`
  `toString()`
  `FindJobsRequest.Builder`
  `types(List<String> types)`
  `FindJobsRequest.Builder`
  `visible(Boolean visible)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### offset

    public FindJobsRequest.Builder offset(int offset)
    Returns:
      `this`.

  - ### limit

    public FindJobsRequest.Builder limit(int limit)
    Returns:
      `this`.

  - ### createdBy

    public FindJobsRequest.Builder createdBy(UUID createdBy)
    Returns:
      `this`.

  - ### name

    public FindJobsRequest.Builder name(String name)
    Returns:
      `this`.

  - ### nameMatchMode

    public FindJobsRequest.Builder nameMatchMode(MatchMode nameMatchMode)
    Returns:
      `this`.

  - ### states

    public FindJobsRequest.Builder states(List<JobState> states)
    Returns:
      `this`.

  - ### results

    public FindJobsRequest.Builder results(List<JobResult> results)
    Returns:
      `this`.

  - ### types

    public FindJobsRequest.Builder types(List<String> types)
    Returns:
      `this`.

  - ### maxVisibility

    public FindJobsRequest.Builder maxVisibility(int maxVisibility)
    Returns:
      `this`.

  - ### visible

    public FindJobsRequest.Builder visible(Boolean visible)
    Returns:
      `this`.

  - ### sortOrder

    public FindJobsRequest.Builder sortOrder(SortOrder sortOrder)
    Returns:
      `this`.

  - ### sortField

    public FindJobsRequest.Builder sortField(FindJobsRequest.SortField sortField)
    Returns:
      `this`.

  - ### build

    public FindJobsRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`